aboutsummaryrefslogtreecommitdiffstats
path: root/tests/fixtures/verify-entity-download.sh
diff options
context:
space:
mode:
authorMartin Czygan <martin.czygan@gmail.com>2020-11-21 02:41:16 +0100
committerMartin Czygan <martin.czygan@gmail.com>2020-11-21 02:41:16 +0100
commit4c4f0ed18c269445e89020fc15e3ae07793d2589 (patch)
tree40737bdef99d2a912507dc6ab73cbeea64204d58 /tests/fixtures/verify-entity-download.sh
parent3ab4829870a90d7a3a7c359436776e0a96370ba5 (diff)
downloadfuzzycat-4c4f0ed18c269445e89020fc15e3ae07793d2589.tar.gz
fuzzycat-4c4f0ed18c269445e89020fc15e3ae07793d2589.zip
tests: find a simple format"
Diffstat (limited to 'tests/fixtures/verify-entity-download.sh')
-rwxr-xr-xtests/fixtures/verify-entity-download.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/fixtures/verify-entity-download.sh b/tests/fixtures/verify-entity-download.sh
new file mode 100755
index 0000000..5f68ba2
--- /dev/null
+++ b/tests/fixtures/verify-entity-download.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+#
+# Fetches release entities references in VERIFY.
+
+set -e -u
+set -o pipefail
+
+API="https://api.fatcat.wiki/v0"
+CSV="verify.csv"
+
+for ident in $(awk '{print $3"\n"$4}' "$CSV"); do
+ if [ -f "$ident" ]; then
+ continue
+ fi
+ curl -sL --fail "$API/release/$ident" | jq --sort-keys . >"$ident"
+done